Description

Supportanfrage

Wir bekommen seit heute mittag einen SSL-Fehler, wenn wir auf das DW-Artifactory zugreifen wollen. Habt ihr eine Idee, ob das an

unserem Conan [1.31.4] oder eurem Artifactory Server liegt? Tritt bei diversen Rechnern auf (Audi, freie PCs, Devhub, ...)

Vielen Dank!

$ conan search -r dw-public ADTF

ERROR: HTTPSConnectionPool(host='artifactory.digitalwerk.net', port=443): Max retries exceeded wit

h url: /artifactory/api/conan/dw-public-releases/v1/ping (Caused by SSLError(SSLCertVerificationEr

ror(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.

c:1091)')))

Unable to connect to dw-public=https://artifactory.digitalwerk.net/artifactory/api/conan/dw-public

-releases

1. Make sure the remote is reachable or,

2. Disable it by using conan remote disable,

Then try again.

 Lösung

Wir können leider nichts machen, unsere Zertifikate sind alle gültig.

Conan hat scheinbar ein Problem mit dem Austausch des Root-Zertifikats am 29.09.21 seitens letsencrypt.

Ein Update auf conan 1.40.3 erneuert das lokale cacert.pem und behebt das Problem, steht auch so im Changelog der conan

Version, für welche der Patch exklusiv gemacht wurde.

Wer an ältere conan Version gebunden ist, dem bleibt nichts anderes übrig, als die SSL Verifzierung für die remotes zu deaktivieren:

Option A) Manuell im $(CONAN_HOME)/remotes.json bei den betroffenen remotes verify_ssl auf false setzen

Bsp.

{

 "remotes": [

  {

   "name": "dw-public-releases",

   "url": "https://artifactory.digitalwerk.net/artifactory/api/conan/dw-public-releases",

   "verify_ssl": false

  },

 Option B) conan update <remote> <url> False für jedes betroffene remote

Bsp

conan update dw-public-releases https://artifactory.digitalwerk.net/artifactory/api/conan/dw-publi

c-releases False

History

2024-04-26 1/2

https://community.letsencrypt.org/t/r3-intermediate-certificate-has-expired/160797
https://docs.conan.io/en/latest/changelog.html#sept-2021
https://docs.conan.io/en/latest/changelog.html#sept-2021


#1 - 2021-10-01 06:10 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::ConanCMakeMisc

#4 - 2021-10-01 07:52 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Workaround Available

Hallo Falk,

der Fehler ist auf unserer Seite, das SSL Zertifikat muss erneuert werden.

In der Zwischenzeit kannst du als Workaround für deine eingebundenen Digitalwerk remotes die SSL Prüfung deaktivieren.

Option A) Manuell im $(CONAN_HOME)/remotes.json bei den betroffenen remotes verify_ssl auf false setzen

Bsp.

{

 "remotes": [

  {

   "name": "dw-public-releases",

   "url": "https://artifactory.digitalwerk.net/artifactory/api/conan/dw-public-releases",

   "verify_ssl": false

  },

 Option B) conan update <remote> <url> False für jedes betroffene remote

Bsp

conan update dw-public-releases https://artifactory.digitalwerk.net/artifactory/api/conan/dw-public-releases F

alse

#5 - 2021-10-01 09:30 - hidden

Hi,

ist natürlich etwas unpraktisch, weil es wieder jeder Entwickler selbst machen muss. Ich hoffe einfach auf eine schnelle Erneuerung :)

Danke und Grüße

#6 - 2021-10-04 06:47 - hidden

Hi Falk,

ist natürlich etwas unpraktisch, weil es wieder jeder Entwickler selbst machen muss. Ich hoffe einfach auf eine schnelle Erneuerung

 Wir können leider nichts machen, unsere Zertifikate sind alle gültig.

Conan hat scheinbar ein Problem mit dem Austausch des Root-Zertifikats am 29.09.21 seitens letsencrypt.

Ein Update auf conan 1.40.3 erneuert das lokale cacert.pem und behebt das Problem, steht auch so im Changelog der conan Version, für welche der

Patch exklusiv gemacht wurde.

Wer an ältere conan Version gebunden ist, dem bleibt nichts anderes übrig, als die SSL Verifzierung für die remotes zu deaktivieren.

#7 - 2021-10-06 07:00 - hidden

- Project changed from 30 to Public Support

- Subject changed from [DW Artifactory] SSL certificate expired ? to Conan fails with SSL error

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution changed from Workaround Available to Solved Issue

#9 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
